Create a service request for Buildium
https://api.propexo.com/v1/service-requests/buildium/| Interface | Method |
|---|---|
| Work Orders | POST /workorders |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the employee
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
A description of the service request
Possible values: <= 127 characters
The priority level associated with the service request
Show 3 enum values
LowNormalHighThe status associated with the service request
Show 5 enum values
NewInProgressCompletedDeferredClosedWhether or not the tenant has granted permission to enter the unit associated with the service request
Details about the service request
Possible values: <= 65535 characters
Notes regarding access to the unit associated with the service request
Possible values: <= 65535 characters
The due date associated with the service request
The invoice or reference number that the vendor assigned to the service request
Notes associated with the service request
Possible values: <= 65535 characters
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the employee
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the property
The Propexo unique identifier for the resident
The Propexo unique identifier for the unit
A description of the service request
Possible values: <= 127 characters
The priority level associated with the service request
Show 3 enum values
LowNormalHighThe status associated with the service request
Show 5 enum values
NewInProgressCompletedDeferredClosedWhether or not the tenant has granted permission to enter the unit associated with the service request
Details about the service request
Possible values: <= 65535 characters
Notes regarding access to the unit associated with the service request
Possible values: <= 65535 characters
The due date associated with the service request
The invoice or reference number that the vendor assigned to the service request
Notes associated with the service request
Possible values: <= 65535 characters
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"employee_id": "string",
"integration_id": "string",
"vendor_id": "string",
"property_id": "string",
"service_description": "string",
"service_priority": "Low",
"service_status": "New"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"employee_id": "string",
"integration_id": "string",
"vendor_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"service_description": "string",
"service_priority": "Low",
"service_status": "New",
"access_is_authorized": true,
"service_details": "string",
"access_notes": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"invoice_number": "string",
"notes": "string"
}
}